{% extends 'base.html' %}
{% load i18n %}
{% block content %}
<div class="container">
  <div class="card">
  <form method="post" enctype="multipart/form-data">
    {% csrf_token %}
    {% if form.no_field.errors %}
      <ul class="uk-list">
        {% for error in form.no_field.errors %}
          <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
        {% endfor %}
      </ul>
    {% endif %}
    <div class="card-content">
      <div class="media">
        <div class="media-left">
          <figure class="image is-64x64">
            <img class="is-rounded" src="{% if user.profile.avatar %} {{ user.profile.avatar.url }} {% endif %}">
          </figure>
        </div>
        <div class="media-content">
          <p class="title is-4">
            {{ user.profile.get_display_name }}
          </p>
          <p class="subtitle is-6">
            <time datetime="2016-04-01T19:00"> 
              {% translate "Last login: "%}{{ user.last_login}}
            </time>
          </p>
        </div>
      </div>
      <div class="content">
        <div class="field">
          <label class="label">{% translate "Old password" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.old_password.id_for_label }}" 
                   name="{{ form.old_password.html_name }}"
                   type="password" placeholder="{% translate "Old password" %}">
            {% if form.old_password.errors %}
              <ul>
                {% for error in form.old_password.errors %}
                  <li><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
        <div class="field">
          <label class="label">{% translate "New password" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.new_password1.id_for_label }}" 
                   name="{{ form.new_password1.html_name }}"
                   type="password" placeholder="{% translate "New password" %}">
            {% if form.new_password1.errors %}
              <ul>
                {% for error in form.new_password1.errors %}
                  <li><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
        <div class="field">
          <label class="label">{% translate "New password confirmation" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.new_password2.id_for_label }}" 
                   name="{{ form.new_password2.html_name }}"
                   type="password" placeholder="{% translate "New password confirmation" %}">
            {% if form.new_password2.errors %}
              <ul>
                {% for error in form.new_password2.errors %}
                  <li><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
       </div>
    </div>
    <div class="card-footer">
      <a class="card-footer-item has-text-default"
         href="{% url 'profile' %}">
        {% translate "Cancel" %}
      </a>
      <button class="card-footer-item button is-white has-text-primary"
        type='submit'
        >
        {% translate "Change my password" %}
      </button>
    </div>
  </div>
  </form>
</div> 
{% endblock %}
